Subject: bug#1305: All code that currently beeps should use visual bell instead

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sat, 17 Apr 2021 20:17:35 +0100

Stefan Kangas <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> It's a Debian/bullseye laptop with Gnome Shell -- so I guess it's a
>> Gnome Shell setting?  (The first thing I do with any machine is switch
>> off any "alert" beeps.)
>
> Oh, I don't use any of that stuff.  I have my own custom .xinitrc
> instead with as little stuff as possible in it.  So I'm not sure how I
> could even set such a setting.  I suppose it's some gconf stuff taking
> place behind the scenes...?
>
> Searching online shows this might be it:
>
> sudo su gdm -c "gconftool-2 --set /desktop/gnome/sound/event_sounds
> --type bool false"
>
> But I don't have gconftool-2 so my Debian bullseye machine is probably
> missing some prerequisites.

FWIW, in my ~/.xsessionrc I have:

  [ -x "$(command -v xset)" ] && xset b off

And for readline in general, in /etc/inputrc I have:

  # do not bell on tab-completion
  set bell-style none

I think I added this last one to silence loud beeps in the virtual
terminal.

But then I don't use a full desktop environment like GNOME, so maybe
these settings aren't as relevant or comprehensive there.

-- 
Basil